6.0.0-git
2019-03-18

[#14057] Some task properties get lost during CalDAV synchronization
Summary Some task properties get lost during CalDAV synchronization
Queue Nag
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester grafnetter (at) dekanat (dot) mff (dot) cuni (dot) cz
Created 2015-07-17 (1340 days ago)
Due
Updated 2017-10-20 (514 days ago)
Assigned 2016-01-22 (1151 days ago)
Resolved 2017-08-11 (584 days ago)
Milestone
Patch No

History
2017-10-20 20:34:45 Git Commit Comment #9 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 39e074445d9993182cb1ba0bbeb351f2911f71dd
Author: Jan Schneider <jan@horde.org>
Date:   Thu, 10 Aug 2017 18:43:48 +0200

Fix exporting tags to CATEGORIES.

Bug: 14057

  M lib/Event.php

https://github.com/horde/kronolith/commit/39e074445d9993182cb1ba0bbeb351f2911f71dd
2017-10-20 20:34:10 Git Commit Comment #8 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 08f50594456a16c4e4fe65ab34143e6856f634c3
Author: Jan Schneider <jan@horde.org>
Date:   Thu, 10 Aug 2017 18:43:48 +0200

Fix exporting tags to CATEGORIES.

Bug: 14057

  M lib/Driver.php

https://github.com/horde/mnemo/commit/08f50594456a16c4e4fe65ab34143e6856f634c3
2017-10-20 20:34:01 Git Commit Comment #7 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 65f91bcd24256aa73ee6b6f3e94a32e5e379b25d
Author: Jan Schneider <jan@horde.org>
Date:   Fri, 11 Aug 2017 14:26:05 +0200

[jan] Improve compatibilty when synchronizing tasks via CalDAV/ICS 
(Bug #14057).

  M docs/CHANGES
  M package.xml

https://github.com/horde/nag/commit/65f91bcd24256aa73ee6b6f3e94a32e5e379b25d
2017-10-20 20:34:00 Git Commit Comment #6 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 3f2f224276c3cd89277d13696e369a8c583a7e90
Author: Jan Schneider <jan@horde.org>
Date:   Thu, 10 Aug 2017 18:43:48 +0200

Fix exporting tags to CATEGORIES.

Bug: 14057

  M lib/Task.php

https://github.com/horde/nag/commit/3f2f224276c3cd89277d13696e369a8c583a7e90
2017-08-11 14:03:22 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (master):

commit fea33b578c5be1133e58f177d29efb0a567e40bc
Author: Jan Schneider <jan@horde.org>
Date:   Fri Aug 11 14:26:05 2017 +0200

     [jan] Improve compatibilty when synchronizing tasks via 
CalDAV/ICS (Bug #14057).

  nag/package.xml | 1 +
  1 file changed, 1 insertion(+)

http://github.com/horde/horde/commit/fea33b578c5be1133e58f177d29efb0a567e40bc
2017-08-11 12:29:09 Jan Schneider Comment #4
Taken from Horde DevelopersHorde Developers
State ⇒ Resolved
Reply to this comment
- Reminder (supported by TB)
Cannot reproduce.
- Recurrence (supported by TB)
Synchronizing recurrences is already available in the meantime.
- Parent task (not supported by TB)
Cannot reproduce.
- Estimated time (not supported by TB)
Added to master and FRAMEWORK_5_2
- Tags (Multiple tags get synced as one tag with comma separated 
values to TB, although TB supports multiple tags on one Task)
Fixed, in Kronolith too. Turba was already correct.
- Importance (TB supports Hi/Standard/Low/None, but these do not map 
correctly to the 5 priorities in Horde. In some cases, Low in TB 
gets mapped to Highest in Horde.)
Priorities/importances should be correctly mapped now.
2017-08-11 12:26:22 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit adaa7e4003f7669888596d8d395f84fc151e1b3e
Author: Jan Schneider <jan@horde.org>
Date:   Fri Aug 11 14:26:05 2017 +0200

     [jan] Improve compatibilty when synchronizing tasks via 
CalDAV/ICS (Bug #14057).

  nag/docs/CHANGES | 2 ++
  nag/package.xml  | 2 ++
  2 files changed, 4 insertions(+)

http://github.com/horde/horde/commit/adaa7e4003f7669888596d8d395f84fc151e1b3e
2017-08-10 16:51:35 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit f903b0ccb2f6601360138c6027fc82866ac490d1
Author: Jan Schneider <jan@horde.org>
Date:   Thu Aug 10 18:40:25 2017 +0200

     Fix exporting tags to CATEGORIES.

     Bug: 14057

  kronolith/lib/Event.php | 3 +--
  mnemo/lib/Driver.php    | 2 +-
  nag/lib/Task.php        | 2 +-
  3 files changed, 3 insertions(+), 4 deletions(-)

http://github.com/horde/horde/commit/f903b0ccb2f6601360138c6027fc82866ac490d1
2016-01-22 17:55:31 Jan Schneider Assigned to Jan Schneider
Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
 
2015-07-17 13:41:18 grafnetter (at) dekanat (dot) mff (dot) cuni (dot) cz Comment #1
Type ⇒ Bug
Patch ⇒ No
Queue ⇒ Nag
Milestone ⇒
Summary ⇒ Some task properties get lost during CalDAV synchronization
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Reply to this comment
Steps:
1) Create a task in Horde and fill out all possible properties.
2) Connect Mozilla Thunderbird/Lightning this Task list through CalDAV.
3) Start syncing.
4) As a result, some of the properties disappear from Horde. These include:

- Reminder (supported by TB)
- Recurrence (supported by TB)
- Parent task (not supported by TB)
- Estimated time (not supported by TB)
- Tags (Multiple tags get synced as one tag with comma separated 
values to TB, although TB supports multiple tags on one Task)
- Importance (TB supports Hi/Standard/Low/None, but these do not map 
correctly to the 5 priorities in Horde. In some cases, Low in TB gets 
mapped to Highest in Horde.)

I get that it is impossible for all CalDAV clients to support the same 
property set, but I would expect that the properties that are not 
supported by the other side would not disappear from Horde.



Saved Queries